org.apache.sling.testing.tools.sling

## Class TimeoutsProvider

- java.lang.Object
- - org.apache.sling.testing.tools.sling.TimeoutsProvider

    public class TimeoutsProvider
    extends Object

Return timeout values that can be multiplied by a configurable factor. Useful to cope with slower integration testing systems: use timeout constants in your code that work for usual development systems, and set a multiplier when running on a slower system.

### Field Summary

Fields
`static String` `PROP_TIMEOUT_MULTIPLIER`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TimeoutsProvider` `getInstance()`
`int` `getTimeout(int nomimalValue)`
`long` `getTimeout(long nomimalValue)`
`int` `getTimeout(String systemPropertyName, int defaultNominalValue)` Get timeout from a system property, with default value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROP_TIMEOUT_MULTIPLIER

    public static final String PROP_TIMEOUT_MULTIPLIER

See Also:
  Constant Field Values

### Method Detail

#### getInstance

    public static TimeoutsProvider getInstance()

#### getTimeout

    public long getTimeout(long nomimalValue)

#### getTimeout

    public int getTimeout(int nomimalValue)

#### getTimeout

    public int getTimeout(String systemPropertyName,
                          int defaultNominalValue)

Get timeout from a system property, with default value